package com.goldenwater.slgc.service;

import java.util.List;
import com.goldenwater.slgc.domain.AttStBase;

/** 水文站信息 Service */
public interface StService {
    /**
     * 查询水文站信息列表
     * 
     * @param attStBase 查询条件
     * @return 水文站信息列表
     */
    public List<AttStBase> selectAttStBaseList(AttStBase attStBase);

    /**
     * 通过测站编码查询水文站信息
     * 
     * @param stCode 测站编码
     * @return 水文站信息
     */
    public AttStBase selectAttStBaseById(String stCode);

    /**
     * 批量删除水文站信息
     * 
     * @param stCodes 测站编码数组
     * @return 删除行数
     */
    public int deleteAttStBaseByIds(String[] stCodes);

    /**
     * 新增水文站信息
     * 
     * @param attStBase 水文站信息
     * @return 插入行数
     */
    public int insertAttStBase(AttStBase attStBase);

    /**
     * 修改水文站信息
     * 
     * @param attStBase 水文站信息
     * @return 更新行数
     */
    public int updateAttStBase(AttStBase attStBase);
}
